=== debian/changelog ===
dphys-swapfile (20100506-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:01:41 +0200

dphys-swapfile (20100506-7) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix typo in previous debian/changelog entry.
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Update lintian overrides to follow tag renaming.
  * Bump debhelper-compat to 13.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

  [ Louis Jackman ]
  * Disable swapfile's Copy on Write flag for Copy on Write file systems.
    (Salsa MR !2; add dependency on e2fsprogs for chattr.)
  * Touch swapfile before trying to set the CoW attribute. (MR !3)

 -- Axel Beckert <abe@debian.org>  Sun, 17 Jan 2021 04:29:50 +0100

dphys-swapfile (20100506-6) unstable; urgency=medium

  * Drop fallocate.patch: swapon(8) states that fallocate-generated
    swapfiles will not work on certain file systems and explicitly
    recommends the use of dd as upstream does. (Closes: #913481)
  * Declare compliance with Debian Policy 4.4.0. (No changes needed.)
  * Bump debhelper compatibility level to 12.
    + Replace debian/compat with a versioned b-d on debhelper-compat.
  * Add "Pre-Depends: ${misc:Pre-Depends}" to be able to use "invoke-rc.d
    --skip-systemd-native". Thanks Lintian!

 -- Axel Beckert <abe@debian.org>  Sat, 31 Aug 2019 15:27:16 +0200

dphys-swapfile (20100506-5) unstable; urgency=high

  * Add patch to fix the setup subcommand exiting prematurely with more
    recent dc versions. (Closes: #906767, LP: #1788681) Also update
    check-diskspace-first.patch which uses the same syntax. Thanks to
    eHenry Berg for the initial bug report, Davide Prina for additional
    debugging help, and Wladimir Mutel for finding the actual culprit.

 -- Axel Beckert <abe@debian.org>  Thu, 23 Aug 2018 23:29:41 +0200

dphys-swapfile (20100506-4) unstable; urgency=low

  * Add patch to restrict swap file size to (configurable) 50% of the
    remaining disk space (excluding potentially already existing
    dphys-swapfile swap files). (Closes: #596187)
  * Declare compliance with Debian Policy 4.2.0.
    + Use HTTPS for the debian copyright format URL.
    + Replace /var/run/ in CONF_SWAPFILE example in man page with nowadays
      more realistic /var/tmp/.
  * Update Vcs-* headers for move to Salsa.
  * Bump debhelper compatibility level to 11.
    + Update versioned build-dependency on debhelper accordingly.
  * Add a systemd .service file. (Closes: #857861)
    + Thanks to Christian Göttsche for the service file template.
    + Should also fix issues where systemd kills the init script when
      dphys-swapfile takes long to setup the swap file, e.g. due to slow
      SD cards, since with "Type=oneshot" that timeout is disabled.
      (LP: #1496216)
  * Set "Rules-Requires-Root: no".
  * Update copyright years in debian/copyright.
  * Add a DEP12 debian/upstream/metadata file.

 -- Axel Beckert <abe@debian.org>  Mon, 13 Aug 2018 00:38:54 +0200

dphys-swapfile (20100506-3) unstable; urgency=medium

  * Add versioned dependency on lsb-base for using /lib/lsb/init-functions
    in the init script.
  * Add patch to first call chmod, then mkswap. This avoids a mkswap
    warning about insecure permissions, suggesting the permissions the
    file will be set to anyways afterwards.
  * Add patch by basti to use fallocate if available to create the swap
    file much faster than with dd.

 -- Axel Beckert <abe@debian.org>  Fri, 20 Jan 2017 00:40:08 +0100

dphys-swapfile (20100506-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Move packaging git repository from GitHub to Alioth.
  * Add lintian-override for accused misspelling "allways".
  * Revamp debian/copyright:
    + Convert to machine-readable DEP5 format.
    + Update copyright years.
    + Update upstream author's e-mail address.
    + Update initial packager's last name.
    + Fix download URL (dphys-config vs dphys-swapfile; follow redirect)
  * Long package description: Add a paragraph about usefulness with
    provisioned SD card, USB stick and disk images.
  * Add debian/maintscript to help migration from /etc/bash_completion.d/
    to /usr/share/bash-completion/completions/.

 -- Axel Beckert <abe@debian.org>  Thu, 28 Apr 2016 00:30:27 +0200

dphys-swapfile (20100506-1) unstable; urgency=low

  * Upload to unstable again.
  * New upstream release
    + Fixes issues on kfreebsd-*.
  * Install bash completion file provided by Hans-Christoph Steiner
    (Closes: #685113) Thanks!
  * Install upstream's example configuration file also to /etc/. (Closes:
    #685169)
  * Add note to long description about the default values used upon
    installation. (See #596187 for reasoning.)
  * Switch to source format "3.0 (quilt)"
    + Remove debian/README.source
  * Bump Standards-Version to 3.9.4 (no changes)
  * Fix lintian warnings:
    + debian-rules-missing-recommended-target
    + no-upstream-changelog
    + copyright-refers-to-symlink-license
    + init.d-script-does-not-source-init-functions
    + init.d-script-does-not-implement-optional-option status
  * Switch Vcs-* headers to GitHub
  * Add Elmar to Uploaders.
  * Bump debhelper compatibility to 9.
    + Update versioned debhelper build-dependency accordingly.
  * Revamp debian/rules:
    + No more clean stamp files manually, done by dh_clean already
    + Use dh_auto_{build,install,clean}
    + Finally switch to a minimal dh7 style debian/rules file
  * Apply wrap-and-sort.

 -- Axel Beckert <abe@debian.org>  Tue, 01 Oct 2013 20:20:40 +0200

dphys-swapfile (20100506~current-1) experimental; urgency=low

  * New upstream snapshot
    - uses dc instead of expr, so depend on dc
    - All patches introduced in the previous upload have been accepted by
      upstream (partially being improved, too) within a day and therefore

