=== debian/watch ===
version=4
http://neil.franklin.ch/Projects/dphys-swapfile/ ../dphys-swapfile-(\d{8}.*)\.tar\.gz
